Create presigned upload targets for multiple files.
curl --request POST \
--url https://api.nebyoulous.space/uploads/presign-batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"relativePath": "<string>",
"contentLength": 4503599627370495,
"clientId": "<string>",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
relativePath: '<string>',
contentLength: 4503599627370495,
clientId: '<string>',
integrationSetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
postId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
]
})
};
fetch('https://api.nebyoulous.space/uploads/presign-batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/uploads/presign-batch"
payload = { "items": [
{
"relativePath": "<string>",
"contentLength": 4503599627370495,
"clientId": "<string>",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"results": [
{
"clientId": "<string>",
"ok": true,
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uploadUrl": "<string>",
"s3Key": "<string>",
"error": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Uploads
Create presigned upload targets for multiple files.
POST
/
uploads
/
presign-batch
Create presigned upload targets for multiple files.
curl --request POST \
--url https://api.nebyoulous.space/uploads/presign-batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"relativePath": "<string>",
"contentLength": 4503599627370495,
"clientId": "<string>",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
relativePath: '<string>',
contentLength: 4503599627370495,
clientId: '<string>',
integrationSetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
postId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
]
})
};
fetch('https://api.nebyoulous.space/uploads/presign-batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/uploads/presign-batch"
payload = { "items": [
{
"relativePath": "<string>",
"contentLength": 4503599627370495,
"clientId": "<string>",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"results": [
{
"clientId": "<string>",
"ok": true,
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uploadUrl": "<string>",
"s3Key": "<string>",
"error": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
An access token issued by a Nebyoulous sign-in: the web session, nebyoulous login, or an MCP OAuth grant.
Body
application/json
Required array length:
1 - 500 elementsShow child attributes
Show child attributes
Response
Default Response
Show child attributes
Show child attributes